## com.ericsson.otp.ic
Class Ref

    com.ericsson.otp.ic.Ref

public final class Ref

Ref class mapps the built-in erlang type Ref, a message reference.

Constructor Summary
`Ref(com.ericsson.otp.erlang.OtpInputStream buf)`
`Ref(com.ericsson.otp.erlang.OtpSelf self)`
`Ref(java.lang.String node, int[] ids, int creation)`
`Ref(java.lang.String node, int id, int creation)` Old style Ref costructor.

Method Summary
`boolean` `equal(Ref _ref)` Comparisson method for Ref.

Constructor Detail

### Ref

    public Ref(com.ericsson.otp.erlang.OtpSelf self)

### Ref

    public Ref(com.ericsson.otp.erlang.OtpInputStream buf)
        throws com.ericsson.otp.erlang.OtpErlangDecodeException

### Ref

    public Ref(java.lang.String node,
               int id,
               int creation)

  Old style Ref costructor. Costructs an Ref that coresponds to the old erlang Ref type.

### Ref

    public Ref(java.lang.String node,
               int[] ids,
               int creation)

Method Detail

### equal

    public boolean equal(Ref _ref)

  Comparisson method for Ref.
  Returns:
    true if the input Ref value equals the value of the current object, false otherwize

Copyright © 1991-1999 Ericsson Utvecklings AB